ant-notifications mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Bin Lan (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (IVYDE-381) IvyDE ignores apache orbit jars.
Date Tue, 21 Jul 2015 19:17:04 GMT

     [ https://issues.apache.org/jira/browse/IVYDE-381?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Bin Lan updated IVYDE-381:
--------------------------
    Description: 
We need some jars from jetty that are repackaged as OSGi package in orbit. And command line
ivy can resolve the issue no problem, but IvyDE refuse to download the jar files.

You can duplicate this by simply using the hello-ivy project from ivy download and add some
dependencies from orbit to see it.

Here is my ivy.xml:
{code}
<ivy-module version="2.0">
    <info organisation="org.apache" module="hello-ivy"/>
    <dependencies>
        <dependency org="commons-lang" name="commons-lang" rev="2.0"/>
        <dependency org="commons-cli" name="commons-cli" rev="1.0"/>
        <dependency org="org.eclipse.jetty.orbit" name="javax.el" rev="2.2.0.v201303151357"
/>
    </dependencies>
</ivy-module>
{code}

I also attached the screenshot that show the ivy container missing the required jar file.
I am not the only one who has this problem. See https://groups.google.com/forum/#!topic/kairosdb-group/b66oCIvIxzM
for a similar report.

  was:
We need some jars from jetty that are repackaged as OSGi package in orbit. And command line
ivy can resolve the issue no problem, but IvyDE refuse to download the jar files.

You can duplicate this by simply using the hello-ivy project from ivy download and add some
dependencies from orbit to see it.

Here is my ivy.xml:
{code}
<ivy-module version="2.0">
    <info organisation="org.apache" module="hello-ivy"/>
    <dependencies>
        <dependency org="commons-lang" name="commons-lang" rev="2.0"/>
        <dependency org="commons-cli" name="commons-cli" rev="1.0"/>
        <dependency org="org.eclipse.jetty.orbit" name="javax.el" rev="2.2.0.v201303151357"
/>
    </dependencies>
</ivy-module>
{code}

I also attached the screenshot that show the ivy container missing the required jar file.


> IvyDE ignores apache orbit jars.
> --------------------------------
>
>                 Key: IVYDE-381
>                 URL: https://issues.apache.org/jira/browse/IVYDE-381
>             Project: IvyDE
>          Issue Type: Bug
>            Reporter: Bin Lan
>         Attachments: Screen Shot 2015-07-21 at 3.13.08 PM.png
>
>
> We need some jars from jetty that are repackaged as OSGi package in orbit. And command
line ivy can resolve the issue no problem, but IvyDE refuse to download the jar files.
> You can duplicate this by simply using the hello-ivy project from ivy download and add
some dependencies from orbit to see it.
> Here is my ivy.xml:
> {code}
> <ivy-module version="2.0">
>     <info organisation="org.apache" module="hello-ivy"/>
>     <dependencies>
>         <dependency org="commons-lang" name="commons-lang" rev="2.0"/>
>         <dependency org="commons-cli" name="commons-cli" rev="1.0"/>
>         <dependency org="org.eclipse.jetty.orbit" name="javax.el" rev="2.2.0.v201303151357"
/>
>     </dependencies>
> </ivy-module>
> {code}
> I also attached the screenshot that show the ivy container missing the required jar file.
I am not the only one who has this problem. See https://groups.google.com/forum/#!topic/kairosdb-group/b66oCIvIxzM
for a similar report.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message